İçeriğe geç

Hunyuan Video Foley

Entegre et

Model kimliği hunyuan-video-foley
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/hunyuan-video-foley?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "text_prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Örnekteki gibi dosyalar: $0,10 100 API kredisi dosyalarınız çalıştırmadan önce ölçülür Bu sayfada çalıştır

API anahtarı al
Tencent Videodan Sese #video-to-video#add-sound

Metin açıklamasından oluşturulan ses efektlerini mevcut bir videoya ekler

Tencent · Video

İlk sonucunuz burada görünecek

Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli

Üretilecek sesi açıklayan isteğe bağlı metin.

•gerekli video_url
Dosyayı bırakın veya

Ses üretimi için kaynak olarak kullanılan video URL'si.

Gelişmiş negative_prompt · guidance_scale · num_inference_steps · seed · enable_safety_checker
varsayılan noisy, harsh

Hariç tutulacak ses özelliklerini belirten negatif istem.

varsayılan 4.5

Ses üretimi sırasında uygulanan yönlendirme ölçeği.

varsayılan 50

Üretim sırasında kullanılan çıkarım adımı sayısı.

Üretimi tekrarlanabilir kılan rastgele seed.

POST /run/hunyuan-video-foley?wait=20 fiyat → $0,10
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/hunyuan-video-foley?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "text_prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

Hunyuan Video Foley hakkında

`video_url` adresindeki bir video için, `text_prompt` ve varsayılan olarak gürültülü veya sert seslerden kaçınan isteğe bağlı bir `negative_prompt` rehberliğinde ses oluşturur. `guidance_scale` 1 ile 10 arasında, `num_inference_steps` ise 10 ile 100 arasında değişir. Videoyu sesli olarak döndürür.

Parametreler

Kanonik adı veya yerel adı gönderin; ikisini birden göndermeyin. Kanonik adlar

AdTür Varsayılanİzin verilen Açıklama
video_urlgerekli video
Türurl · video
Ses üretimi için kaynak olarak kullanılan video URL'si.
text_promptgerekli
Türstring
Üretilecek sesi açıklayan isteğe bağlı metin.
negative_promptisteğe bağlı
Türstring
Varsayılannoisy, harsh
Hariç tutulacak ses özelliklerini belirten negatif istem.
enable_safety_checkeristeğe bağlı
Türboolean
Varsayılantrue
Çağıran yetkiliyse false ayarlanarak tarama gevşetilebilir.
guidance_scaleisteğe bağlı
Türnumber
Varsayılan4.5
1 – 10
Ses üretimi sırasında uygulanan yönlendirme ölçeği.
num_inference_stepsisteğe bağlı
Türinteger
Varsayılan50
10 – 100
Üretim sırasında kullanılan çıkarım adımı sayısı.
seedisteğe bağlı
Türinteger | null
Üretimi tekrarlanabilir kılan rastgele seed.
gerekli Kanonik ad, bu ad da kabul edilir

Dosya parametreleri herkese açık bir https:// URL'si, 10 MB'a kadar bir data: URI'si veya yüklenen bir dosyanın file_url değerini kabul eder. Dosyalar

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "hunyuan-video-foley",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 100,
    "usd": "0.10",
    "charged": 100,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "text_prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
video
object {url, content_type, file_name, file_size}Sesleriyle birlikte üretilen videoları içeren liste.

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/hunyuan-video-foley.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt